package projectzombie.entity;

import projectzombie.world.layer.Layer;

public interface EntityAlive
{
	public void addHealth(double amount);
	public double getHealth();
	public void resetHealth();
	public void clearHealth();
	public double maxHealth();
	public void setHealth(double health);
	public int bloodParticles();
	
	public void addDamage(double amount);
	public void addFireDamage(double amount);
	public void addBlastDamage(double amount);
	
	public default void onDeath(Layer layer) {
	}
}
